DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageReadGIFInfo

Get information about image in GIF file (in dipIO)

## SYNOPSIS

`#include "dipio_gif.h"`

dip_Error dipio_ImageReadGIFInfo ( imInfo, filename )

## FUNCTION

Opens a GIF file and fills a `dipio_ImageFileInformation` structure with the information from that file. `imInfo` must be allocated before calling this function.

## ARGUMENTS

Data type | Name | Description
`dipio_ImageFileInformation` | `imInfo` | Output image file information. See `ImageFileInformationNew`
`dip_String` | `filename` | File name

## SOFTWARE

This function uses `GifLib` (version 4.1.0 or later), which supports GIF 87a & 98a. Copyright (c)1997 Eric S. Raymond

## SEE ALSO

`ImageFileGetInfo`, `ImageIsGIF`, `ImageReadGIF`, `ImageWriteGIF`, `ImageFileInformationNew`